Bug 849715 - [ORIGIN] Passenger traceback when trying to access /broker/rest/api
[ORIGIN] Passenger traceback when trying to access /broker/rest/api
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 12:51 EDT by Peter Ruan
Modified: 2015-05-14 22:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:30:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2012-08-20 12:51:42 EDT
Description of problem:
  With the latest build of origin, I'm getting a 500 with every 'rhc' commands.  There are nothing in development.log nor mcollective.log.  It looks like there's a missing dnsruby file 

[ pid=23850 thr=70203487990200 file=utils.rb:176 time=2012-08-20 09:46:09.379 ]: *** Exception LoadError in PhusionPassenger::Rack::ApplicationSpawner (no such file to load -- dnsruby) (process 23850, thread #<Thread:0x7fb30bed6370>):
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:597:in `new_constants_in'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/uplift-bind-plugin-0.8.6/lib/uplift-bind-plugin/uplift/bind_plugin.rb:5
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:597:in `new_constants_in'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/uplift-bind-plugin-0.8.6/lib/uplift-bind-plugin.rb:2
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:68:in `require'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:68:in `require'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:66:in `each'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:66:in `require'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:55:in `each'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:55:in `require'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler.rb:122:in `require'
	from /var/www/stickshift/broker/config/application.rb:10
	from /var/www/stickshift/broker/config/environment.rb:2:in `require'
	from /var/www/stickshift/broker/config/environment.rb:2
	from config.ru:3:in `require'
	from config.ru:3
	from /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/builder.rb:51:in `instance_eval'
	from /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/builder.rb:51:in `initialize'
	from config.ru:1:in `new'
	from config.ru:1


Version-Release number of selected component (if applicable):
commit 0e93237d36e46918de915bc80436d0be01650380
Merge: 52cdd5c 9daf9cd


How reproducible:
always

Steps to Reproduce:
1. follow the steps on how to build origin from krishnaraman.net
2. build origin
3.
  
Actual results:
getting 500 on all rhc commands

Expected results:
success

Additional info:
Comment 1 Abhishek Gupta 2012-08-21 11:28:13 EDT
Assigning this to myself as I had started working on this yesterday and may already have a fix for this.
Comment 2 Abhishek Gupta 2012-08-21 13:19:14 EDT
The fix is checked into master and will be placed ON_QE once a new livecd is available.
Comment 3 Luke Meyer 2012-08-21 14:04:23 EDT
Appears to have worked in my devbroker setup.
Comment 4 Abhishek Gupta 2012-08-21 14:41:26 EDT
Peter mentioned that he may not need to wait for the next livecd but could rebuild it himself from the crankcase pieces.
Comment 5 Peter Ruan 2012-08-21 16:07:59 EDT
verified with git commit id 83a99c

Note You need to log in before you can comment on or make changes to this bug.